#include<bits\stdc++.h>

using namespace std;

int main()
{
	int t, o[10];
	cin >> t;
	for(int i = 0; i < t; i++)
	{
		long long n, m, k, p = 0;
		cin >> n >> m >> k;
		
		p = (n / k) * ((n / k) + 1);
		p *= k;
		p /= 2;
		p += (n % k) * ((n / k) + 1);
		
		o[i] = 1;
		if(m < p) o[i] = 0;
	}
	
	for(int i = 0; i < t; i++)
		if(o[i] == 1) cout << "Tak" << endl;
		else cout << "Nie" << endl;
}